<?php
if(!class_exists('Elegant_Tabs_Admin_Panel')){
	class Elegant_Tabs_Admin_Panel{
		function __construct(){
			// Create admin menu for options page
			add_action( 'admin_menu', array($this,'elegant_tabs_admin_menu' ));
		}
		function elegant_tabs_admin_menu()
		{
			// Register sub-menu under product post type menu and get the url into the variable $page
			$page = add_submenu_page(
					"edit.php?post_type=product",
					__("Elegant Tabs","infiwebs"),
					__("Elegant Tabs","infiwebs"),
					"administrator",
					"woo_elegant_tabs",
					array($this,'elegant_tabs_admin_dashboard')
				);
			// Print styles on only options page
			add_action( 'admin_print_styles-'.$page,array($this,'admin_styles' ));
			
			// Print scripts on only options page
			add_action( 'admin_print_scripts-'.$page, array($this,'admin_scripts' ));
		
			$elegant_woo_tabs = array();
			$elegant_woo_tabs['tab_style'] 			= 'bars';
			$elegant_woo_tabs['tab_animation'] 		= 'fadeIn';
			$elegant_woo_tabs['color_tab_txt']		= '#FFFFFF';
			$elegant_woo_tabs['color_tab_bg']	 	 = '#2a90da';
			$elegant_woo_tabs['color_act_txt']		= '#2a90da';
			$elegant_woo_tabs['color_act_bg'] 	 	 = '#f2f2f2';
			$elegant_woo_tabs['color_content_bg'] 	 = '#f2f2f2';
			$elegant_woo_tabs['color_content_txt'] 	= '#383838';		
			
			if(!get_option('elegant_woo_tabs_defaults')){
				add_option("elegant_woo_tabs_defaults", $elegant_woo_tabs);
			}
		}

		function admin_scripts(){
			
			wp_enqueue_script( 'jquery');
			wp_enqueue_script( 'wp-color-picker');
			wp_enqueue_script( 'iw_meta_script', plugins_url('../js/meta-tabs.js', __FILE__), array('jquery','wp-color-picker'),'',true );
		}
		
		function admin_styles(){
			wp_enqueue_style( 'wp-color-picker' );
			wp_enqueue_style( 'woocommerce_admin_styles' );
			wp_enqueue_style( 'iw_admin', plugins_url('css/admin.css', __FILE__) );
			wp_enqueue_style( 'google-font-open-sans', '//fonts.googleapis.com/css?family=Open+Sans:700,300,600,400');
		}
		function elegant_tabs_admin_dashboard(){
			?>
            <div class="wrap elegant-tabs-settings">
                <h2>Elegant Tabs Settings</h2>
                <div id="infi_elegant_tabs" class="panel woocommerce_options_panel">
                <p class="toolbar" style=" margin-top: 0; ">
                    <strong><?php _e("Choose different style and colors for the tabs being displayed on this product page.","woocommerce"); ?></strong>
                </p>
                <div class="elegant-message"></div>
                <hr/>
                <div class="options_group">
				<?php
				$elegant_tabs_data = get_option('elegant_woo_tabs_defaults');
				
				$tab_style 			= isset($elegant_tabs_meta['tab_style']) ? $elegant_tabs_meta['tab_style'] : 'bars';
				$tab_animation 		= isset($elegant_tabs_meta['tab_animation']) ? $elegant_tabs_meta['tab_animation'] : 'fadeIn';
				$color_tab_txt 		= isset($elegant_tabs_meta['color_tab_txt']) ? $elegant_tabs_meta['color_tab_txt'] : '#002f5e';
				$color_tab_bg 		 = isset($elegant_tabs_meta['color_tab_bg']) ? $elegant_tabs_meta['color_tab_bg'] : '#2a90da';
				$color_act_txt 		= isset($elegant_tabs_meta['color_act_txt']) ? $elegant_tabs_meta['color_act_txt'] : '#2a90da';
				$color_act_bg 		 = isset($elegant_tabs_meta['color_act_bg']) ? $elegant_tabs_meta['color_act_bg'] : '#f2f2f2';
				$color_content_bg 	 = isset($elegant_tabs_meta['color_content_bg']) ? $elegant_tabs_meta['color_content_bg'] : '#f2f2f2';
				$color_content_txt 	= isset($elegant_tabs_meta['color_content_txt']) ? $elegant_tabs_meta['color_content_txt'] : '#383838';
				
				$tab_styles = array(
					"Bar Style"				 => "bars",
					"Icon Box Style"			=> "iconbox",
					"Underline Style"		   => "underline",
					"Top Line Style"			=> "topline",
					"Central Line Style"		=> "iconfall",
					"Line Style"				=> "line",
					"Line Box Style"			=> "linebox",
					"Flip Style"				=> "flip",
					"Trapezoid Style"		   => "tzoid",
					"Fillup Style"			  => "fillup",
				);
				
				$tab_animation = array(
					__("No Animation","infiwebs") => "",
					__("Swing","infiwebs") => "swing",
					__("Pulse","infiwebs") => "pulse",
					__("Flash","infiwebs") => "flash",
					__("Fade In","infiwebs") => "fadeIn",
					__("Fade In Up","infiwebs") => "fadeInUp",
					__("Fade In Down","infiwebs") => "fadeInDown",
					__("Fade In Left","infiwebs") => "fadeInLeft",
					__("Fade In Right","infiwebs") => "fadeInRight",
					__("Fade In Up Long","infiwebs") => "fadeInUpBig",
					__("Fade In Down Long","infiwebs") => "fadeInDownBig",
					__("Fade In Left Long","infiwebs") => "fadeInLeftBig",
					__("Fade In Right Long","infiwebs") => "fadeInRightBig",
					__("Slide In Down","infiwebs") => "slideInDown",
					__("Slide In Up","infiwebs") => "slideInUp",
					__("Slide In Left","infiwebs") => "slideInLeft",
					__("Bounce In","infiwebs") => "bounceIn",
					__("Bounce In Up","infiwebs") => "bounceInUp",
					__("Bounce In Down","infiwebs") => "bounceInDown",
					__("Bounce In Left","infiwebs") => "bounceInLeft",
					__("Bounce In Right","infiwebs") => "bounceInRight",
					__("Rotate In","infiwebs") => "rotateIn",
					__("Light Speed In","infiwebs") => "lightSpeedIn",
					__("Roll In","infiwebs") => "rollIn",
				);
                ?>
                <form id="elegant_tabs_options">
                <input type="hidden" name="action" value="update_elegant_tab_options" />
                <table class="form-table">
                    <tbody>
                    <tr valign="top">
                    <th><label for="tab_style"><?php echo __('Select Tab Style:','infiwebs');?></label></th>
                    <td class="forminp forminp-select">
                    <select name="tab_style" id="tab_style">
                    <?php
                        foreach($tab_styles as $label => $value){
                            $sel = $value == $elegant_tabs_data['tab_style'] ? 'selected' : '';
                            echo '<option value="'.$value.'" '.$sel.'>'.$label.'</option>';
                        }
                    ?>
                    </select>
                    <tr valign="top">
                    <th><label for="tab_animation"><?php _e('Select Tab Animation:','infiwebs');?></label></th>
                    <td><select name="tab_animation" id="tab_animation">
                        <?php
                            foreach($tab_animation as $label => $value){
                                $sel = $value == $elegant_tabs_data['tab_animation'] ? 'selected' : '';
                                echo '<option value="'.$value.'" '.$sel.'>'.$label.'</option>';
                            }
                        ?>
                    </select>
                <tr valign="top">
                     <th><label for="color_tab_txt"><?php _e('Tab Text Color:','infiwebs');?></label></th>
                    <td><input type="text" id="color_tab_txt" name="color_tab_txt" value="<?php echo $elegant_tabs_data['color_tab_txt']; ?>" class="iw-color-field" /></td>
                </tr>
                <tr valign="top">
                     <th><label for="color_tab_bg"><?php _e('Tab Background / Border Color:','infiwebs');?></label></th>
                    <td><input type="text" id="color_tab_bg" name="color_tab_bg" value="<?php echo $elegant_tabs_data['color_tab_bg']; ?>" class="iw-color-field" /></td>
                </tr>
                <tr valign="top">
                    <th><label for="color_act_txt"><?php _e('Active Tab Text Color:','infiwebs');?></label></th>
                    <td><input type="text" id="color_act_txt" name="color_act_txt" value="<?php echo $elegant_tabs_data['color_act_txt']; ?>" class="iw-color-field" /></td>
                </tr>
                <tr valign="top">
                     <th><label for="color_act_bg"><?php _e('Active Tab Background / Border Color:','infiwebs');?></label></th>
                    <td><input type="text" id="color_act_bg" name="color_act_bg" value="<?php echo $elegant_tabs_data['color_act_bg']; ?>" class="iw-color-field" /></td>
                </tr>
                <tr valign="top">
                     <th><label for="color_content_bg"><?php _e('Tab Content Background Color:','infiwebs');?></label></th>
                    <td><input type="text" id="color_content_bg" name="color_content_bg" value="<?php echo $elegant_tabs_data['color_content_bg']; ?>" class="iw-color-field" /></td>
                </tr>
                 <tr valign="top">
                     <th><label for="color_content_txt"><?php _e('Tab Content Text Color:','infiwebs');?></label></th>
                    <td><input type="text" id="color_content_txt" name="color_content_txt" value="<?php echo $elegant_tabs_data['color_content_txt']; ?>" class="iw-color-field" /></td>
                </tr>
                </tbody>
                </table>
            </div>
                </form>
            </div>
            <hr/><br/>
            <div style="display: inline-flex;">
            	<button class="button button-primary update-options"><?php echo __('Save Changes','infiwebs'); ?></button>
                <span class="spinner"></span>
			</div>
            </div>
            <?php
		}
	}
	new Elegant_Tabs_Admin_Panel;
}